Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType messaging-bridgeType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType
              {http://www.bea.com/ns/weblogic/90/domain}messaging-bridgeType

Model
  `<...>
  name?, notes?, target?, deployment-order?, source-destination?, target-destination?, selector?, quality-of-service?, qos-degradation-allowed?, durability-enabled?, reconnect-delay-minimum?, reconnect-delay-increase?, reconnect-delay-maximum?, idle-time-maximum?, transaction-timeout?, async-enabled?, started?, batch-size?, batch-interval?, preserve-msg-property?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This MBean represents a WebLogic messaging bridge. A messaging bridge instance interoperates between separate implementations of WebLogic JMS or between WebLogic JMS and another messaging product.

  For WebLogic JMS and third-party JMS products, a messaging bridge communicates with a configured source and target destinations using the resource adapters provided with WebLogic Server.

  MBean: `MessagingBridgeMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.
`string` | `source-destination` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `target-destination` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`string` | `selector` optional The filter for messages that are sent across the messaging bridge instance.
`annonymous type derived from string` | `quality-of-service` optional The QOS (quality of service) for this messaging bridge instance.
`boolean` | `qos-degradation-allowed` optional This MBean represents a WebLogic messaging bridge.
`boolean` | `durability-enabled` optional This MBean represents a WebLogic messaging bridge.
`annonymous type derived from int` | `reconnect-delay-minimum` optional The minimum amount of time, in seconds, that a messaging bridge instance waits before it tries to reconnect to the source or target destination after a failure.
`annonymous type derived from int` | `reconnect-delay-increase` optional The incremental delay time, in seconds, that a messaging bridge instance increases its waiting time between one failed reconnection attempt and the next retry.
`annonymous type derived from int` | `reconnect-delay-maximum` optional The longest time, in seconds, that a messaging bridge instance waits between one failed attempt to connect to the source or target, and the next retry.
`annonymous type derived from int` | `idle-time-maximum` optional The maximum amount of time, in seconds, that a messaging bridge instance remains idle.
`annonymous type derived from int` | `transaction-timeout` optional The amount of time, in seconds, that the transaction manager waits for each transaction before timing it out.
`boolean` | `async-enabled` optional This MBean represents a WebLogic messaging bridge.
`boolean` | `started` optional This MBean represents a WebLogic messaging bridge.
`annonymous type derived from int` | `batch-size` optional The number of messages that are processed within one transaction.
`long` | `batch-interval` optional The maximum amount of time, in milliseconds, that a messaging bridge instance waits before sending a batch of messages in one transaction, regardless of whether the `Batch Size has been reached or not.`
`boolean` | `preserve-msg-property` optional Specifies if message properties are preserved when messages are forwarded by a bridge instance.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1